# Define the system of units to use internally.
InternalUnitSystem:
  UnitMass_in_cgs:     1.98841e33       # Solar mass
  UnitLength_in_cgs:   3.08567758149e21 # kpc
  UnitVelocity_in_cgs: 1e5              # km / s
  UnitCurrent_in_cgs:  1                # Amperes
  UnitTemp_in_cgs:     1                # Kelvin

# Parameters governing the time integration (Set dt_min and dt_max to the same value for a fixed time-step run.)
TimeIntegration:
  time_begin:          0.      # The starting time of the simulation (in internal units).
  time_end:            1e-4    # The end time of the simulation (in internal units).
  dt_min:              1e-8    # The minimal time-step size of the simulation (in internal units).
  dt_max:              1e-4    # The maximal time-step size of the simulation (in internal units).

# Parameters governing the snapshots
Snapshots:
  basename:            output  # Common part of the name of output files
  time_first:          0.      # Time of the first output (in internal units)
  delta_time:          10      # Time difference between consecutive outputs (in internal units)

# Parameters for the self-gravity scheme
Gravity:
  eta:                         0.025     # Constant dimensionless multiplier for time integration.
  MAC:                         geometric # Use the geometric opening angle condition
  theta_cr:                    0.7       # Opening angle (Multipole acceptance criterion)
  use_tree_below_softening:    0
  max_physical_baryon_softening:  0.2 # kpc

# Parameters governing the conserved quantities statistics
Statistics:
  delta_time:          5e-5    # Time between statistics output

# Parameters related to the initial conditions
InitialConditions:
  file_name:          plummer.hdf5 # The file to read
  shift_x:            0.           # (Optional) A shift to apply to all particles read from the ICs (in internal units).
  shift_y:            0.
  shift_z:            0.
  periodic:           0

# Parameters of the star scheme
Stars:
  birth_time:           -1       # (Optional) Initial birth times of *all* the stars to be used if we are overwriting them. (-1 means the stars remain inactive feedback-wise througout the run).
  overwrite_birth_time:  1       # (Optional) Do we want to overwrite the birth time of the stars read from the ICs? (default: 0).
  luminosity_filename:   ./photometry
  fixed_CFE:                            [-1.]
  power_law_clMF:                       [0]
  fixed_Mcstar:                         [0.]
  clMF_slope:                           [2.]

